package com.ruoyi.project.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.project.business.domain.TcProjectEquipment;
import com.ruoyi.project.business.domain.vo.project.ProjectEquipmentReq;

import java.util.List;
import java.util.Map;


/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2024-06-28
 */
public interface TcProjectEquipmentMapper extends BaseMapper<TcProjectEquipment>
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TcProjectEquipment selectTcProjectEquipmentById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param req 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TcProjectEquipment> selectTcProjectEquipmentList(ProjectEquipmentReq req);
    public List<TcProjectEquipment> selectTcProjectEquipmentListProject(ProjectEquipmentReq req);
    /**
     * 新增【请填写功能名称】
     * 
     * @param tcProjectEquipment 【请填写功能名称】
     * @return 结果
     */
    public int insertTcProjectEquipment(TcProjectEquipment tcProjectEquipment);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tcProjectEquipment 【请填写功能名称】
     * @return 结果
     */
    public int updateTcProjectEquipment(TcProjectEquipment tcProjectEquipment);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTcProjectEquipmentById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcProjectEquipmentByIds(Long[] ids);

    public int InsertBySQL(List<TcProjectEquipment> list);

    void deleteTcProjectEquipmentByProjectId(Long projectId);

    Map<String, Object> selectTotalProject(ProjectEquipmentReq req);
}
